Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 215920 - net-firewall/fwbuilder 2.1.x has wrong USE-flag check in ebuild
Summary: net-firewall/fwbuilder 2.1.x has wrong USE-flag check in ebuild
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Jeremy Olexa (darkside) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 219471
Blocks:
  Show dependency tree
 
Reported: 2008-04-02 19:03 UTC by Daniel Kerwin
Modified: 2008-06-09 00:56 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Kerwin 2008-04-02 19:03:24 UTC
The ebuild for fwbuilder-2.1.x contains a check for the USE flag nocxx on dev-java/antlr. According to the changelog of antlr this check is wrong:

08 Mar 2008; Petteri RÀty <betelgeuse@gentoo.org> antlr-2.7.7.ebuild:
Rename nocxx and nojava to cxx and java and turn them on by default usingEAPI 1.

Reproducible: Always

Steps to Reproduce:
1. ACCEPT_KEYWORDS="~x86" emerge -uv fwbuilder
2.
3.

Actual Results:  
Install fails with "dev-java/antlr-2.7.7 does not actually support the nocxx USE flag!"

Expected Results:  
Installation ends successful
Comment 1 Robert W. Fuller 2008-05-01 22:45:00 UTC
I ran into this too:

Change this line:
 	if built_with_use dev-java/antlr nocxx; then
to:
 	if ! built_with_use dev-java/antlr cxx; then

then do an "emerge --resume"
Comment 2 Łukasz Damentko (RETIRED) gentoo-dev 2008-05-27 13:25:05 UTC
r3pek was retired (#80351), reassigning remaining bugs.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-06-07 07:05:11 UTC
Many fwbuilder bugs. I'm in the process of fixing.
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-06-09 00:56:11 UTC
Fixed, thanks for reporting!